Package: groovy.text.markup

## [Java] Interface TemplateResolver

- Interface for template resolvers, which, given a template identifier, return an URL where the template can be loaded.

  Authors:
    Cédric Champeau

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `configure(ClassLoader templateClassLoader, TemplateConfiguration configuration)` This method is called once the template engine is initialized, providing the resolver with the template engine configuration and its template class loader.
    `` | `URL` | `resolveTemplate(String templatePath)` Resolvers must implement this method in order to resolve a template, given a template path.

- - ### Method Detail

    - #### public void configure(ClassLoader templateClassLoader, TemplateConfiguration configuration)

      This method is called once the template engine is initialized, providing the resolver with the template engine configuration and its template class loader.

      Parameters:
        `templateClassLoader` - the classloader where templates will be searched for
        `configuration` - the configuration of the template engine

    - #### public URL resolveTemplate(String templatePath)

      Resolvers must implement this method in order to resolve a template, given a template path. They must return a valid URL or an IOException.

      throws:
        IOException
      Parameters:
        `templatePath` - path to the template
      Returns:
        the template URL, that will be used to load the template